View Issue Details

IDProjectCategoryView StatusLast Update
0022157FPCPackagespublic2012-06-03 16:50
ReporterLudo Brands Assigned ToMarco van de Voort  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSWindows 
Product Version2.7.1 
Fixed in Version3.0.0 
Summary0022157: [Patch] WinCE needs the eventsink and stdole2 units to support OLE objects
DescriptionOn WinCE, eventsink and stdole2 are missing to support OLE and ActiveX. Attached patch adds the units to fpmake.pp. This is my first patch to add units to build. I hope this change is sufficient.
TagsNo tags attached.
Fixed in Revision21474
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0022152 closedMaxim Ganetsky Lazarus [Patch] LazActiveX doesn't compile for WinCE 

Activities

2012-05-31 19:11

 

wince.diff (595 bytes)   
Index: fpmake.pp
===================================================================
--- fpmake.pp	(revision 21437)
+++ fpmake.pp	(working copy)
@@ -36,6 +36,8 @@
     T:=P.Targets.AddUnit('../winunits-base/src/ole2.pp', [wince]);
     T:=P.Targets.AddUnit('tlhelp32.pas', [wince]);
     T:=P.Targets.AddUnit('../winunits-base/src/comconst.pp', [wince]);
+    T:=P.Targets.AddUnit('../winunits-base/src/eventsink.pp', [wince]);
+    T:=P.Targets.AddUnit('../winunits-base/src/stdole2.pas', [wince]);
     T.ResourceStrings:=True;
 
     T:=P.Targets.AddUnit('buildwinceunits.pp', [wince]);
wince.diff (595 bytes)   

Marco van de Voort

2012-06-03 16:38

manager   ~0060228

Patch is fine, principle isn't (I don't think "packages" should include other "packages" for fpmake).

But that is already done in SVN, and you only copied it. We'll cross that bridge when we get there with fpmake.

Issue History

Date Modified Username Field Change
2012-05-31 19:11 Ludo Brands New Issue
2012-05-31 19:11 Ludo Brands File Added: wince.diff
2012-06-03 16:38 Marco van de Voort Fixed in Revision => 21474
2012-06-03 16:38 Marco van de Voort Status new => resolved
2012-06-03 16:38 Marco van de Voort Fixed in Version => 2.7.1
2012-06-03 16:38 Marco van de Voort Resolution open => fixed
2012-06-03 16:38 Marco van de Voort Assigned To => Marco van de Voort
2012-06-03 16:38 Marco van de Voort Note Added: 0060228
2012-06-03 16:50 Ludo Brands Status resolved => closed
2012-06-04 23:08 Maxim Ganetsky Relationship added related to 0022152